---
title: Get the list of blob storage containers for specified project Id and environment
slug: dxp/api
docTags: 
createdAt: 2026-06-23T08:29:20.621Z
---

{
  "id": "t0NHHET9NmXtVkwNQb3dU",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers",
    "servers": [
      {
        "url": "https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers"
      }
    ],
    "name": "Get the list of blob storage containers for specified project Id and environment",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "projectId",
          "type": "string<uuid>",
          "description": "Project Id",
          "format": "uuid"
        },
        {
          "kind": "required",
          "name": "environment",
          "type": "string",
          "description": "Environment Name"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// OK\n{\n  \"errors\": [\n    \"\"\n  ],\n  \"result\": {\n    \"environment\": \"\",\n    \"storageContainers\": [\n      \"\"\n    ],\n    \"projectId\": \"\"\n  },\n  \"success\": false\n}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": true,\n  \"errors\": [],\n  \"result\": {\n    \"projectId\": \"c943975b-d468-4b85-8e62-5967b9eeeece\",\n    \"environment\": \"Preproduction\",\n    \"storageContainers\": [\n      \"Blob-Storage-Container-1\",\n      \"Blob-Storage-Container-2\"\n    ]\n  }\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "GetBlobStorageContainersApiResponse",
            "schema": [
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "result",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/GetBlobStorageContainersResponse",
                "customType": "GetBlobStorageContainersResponse",
                "schema": [
                  {
                    "name": "environment",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "storageContainers",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "projectId",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "",
                    "format": "uuid"
                  }
                ]
              },
              {
                "name": "success",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/GetBlobStorageContainersApiResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "BadRequest",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// BadRequest\n{}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"Project Id is a required field.\"\n  ],\n  \"result\": null\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "BadRequestApiErrorResponseExample",
            "schema": [],
            "modelRef": "#/components/schemas/BadRequestApiErrorResponseExample",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// Unauthorized\n{}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"Access is denied for project c943975b-d468-4b85-8e62-5967b9eeeece or environment Preproduction.\"\n  ],\n  \"result\": null\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "UnauthorizedApiErrorResponseExample",
            "schema": [],
            "modelRef": "#/components/schemas/UnauthorizedApiErrorResponseExample",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "NotFound",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// NotFound\n{}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"There is no active project found for project id: c943975b-d468-4b85-8e62-5967b9eeeece.\"\n  ],\n  \"result\": null\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "NotFoundApiErrorResponseExample",
            "schema": [],
            "modelRef": "#/components/schemas/NotFoundApiErrorResponseExample",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "InternalServerError",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// InternalServerError\n{}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"An error occurred while processing the request; Try again later.\"\n  ],\n  \"result\": null\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "InternalServerErrorApiErrorResponseExample",
            "schema": [],
            "modelRef": "#/components/schemas/InternalServerErrorApiErrorResponseExample",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "-FkMyZcfW5dnLhfukOdhA",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers \\\n     --header 'accept: application/json'"
        },
        {
          "id": "SE29XQpR41z1OBEZtp9Bd",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "5MFbm2Ga_T8RabBA8V3W6",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "qcunpM1WZBiDo6k8qwqd1",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "-FkMyZcfW5dnLhfukOdhA"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"errors\": [\n    \"\"\n  ],\n  \"result\": {\n    \"environment\": \"\",\n    \"storageContainers\": [\n      \"\"\n    ],\n    \"projectId\": \"\"\n  },\n  \"success\": false\n}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// OK\n{\n  \"errors\": [\n    \"\"\n  ],\n  \"result\": {\n    \"environment\": \"\",\n    \"storageContainers\": [\n      \"\"\n    ],\n    \"projectId\": \"\"\n  },\n  \"success\": false\n}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": true,\n  \"errors\": [],\n  \"result\": {\n    \"projectId\": \"c943975b-d468-4b85-8e62-5967b9eeeece\",\n    \"environment\": \"Preproduction\",\n    \"storageContainers\": [\n      \"Blob-Storage-Container-1\",\n      \"Blob-Storage-Container-2\"\n    ]\n  }\n}"
            }
          ]
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// BadRequest\n{}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// BadRequest\n{}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"Project Id is a required field.\"\n  ],\n  \"result\": null\n}"
            }
          ]
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Unauthorized\n{}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// Unauthorized\n{}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"Access is denied for project c943975b-d468-4b85-8e62-5967b9eeeece or environment Preproduction.\"\n  ],\n  \"result\": null\n}"
            }
          ]
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// NotFound\n{}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// NotFound\n{}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"There is no active project found for project id: c943975b-d468-4b85-8e62-5967b9eeeece.\"\n  ],\n  \"result\": null\n}"
            }
          ]
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// InternalServerError\n{}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// InternalServerError\n{}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"An error occurred while processing the request; Try again later.\"\n  ],\n  \"result\": null\n}"
            }
          ]
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}